curl --request POST \
--url https://api.tensormesh.ai/v1/models:search-by-infra \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"infra": {
"cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
"nebiusRegion": "NEBIUS_REGION_UNSPECIFIED",
"lambdaRegion": "LAMBDA_REGION_UNSPECIFIED",
"onpremRegion": "<string>"
},
"userId": "<string>"
}
'{
"models": [
{
"modelId": "<string>",
"deploymentId": "<string>",
"userId": "<string>",
"description": "<string>",
"modelPath": "<string>",
"modelName": "<string>",
"status": "MODEL_STATUS_UNSPECIFIED",
"events": [
{
"createdAt": "2023-11-07T05:31:56Z",
"log": "<string>",
"eventType": "EVENT_TYPE_UNSPECIFIED"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"modelSpec": {},
"infra": {
"cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
"nebiusRegion": "NEBIUS_REGION_UNSPECIFIED",
"lambdaRegion": "LAMBDA_REGION_UNSPECIFIED",
"onpremRegion": "<string>"
},
"gpuCount": 123,
"gpuType": "GPU_TYPE_UNSPECIFIED",
"replicas": 123,
"endpoint": "<string>",
"apiKey": "<string>"
}
]
}Lists all model deployments in a specific cluster.
curl --request POST \
--url https://api.tensormesh.ai/v1/models:search-by-infra \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"infra": {
"cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
"nebiusRegion": "NEBIUS_REGION_UNSPECIFIED",
"lambdaRegion": "LAMBDA_REGION_UNSPECIFIED",
"onpremRegion": "<string>"
},
"userId": "<string>"
}
'{
"models": [
{
"modelId": "<string>",
"deploymentId": "<string>",
"userId": "<string>",
"description": "<string>",
"modelPath": "<string>",
"modelName": "<string>",
"status": "MODEL_STATUS_UNSPECIFIED",
"events": [
{
"createdAt": "2023-11-07T05:31:56Z",
"log": "<string>",
"eventType": "EVENT_TYPE_UNSPECIFIED"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"modelSpec": {},
"infra": {
"cloudProvider": "CLOUD_PROVIDER_UNSPECIFIED",
"nebiusRegion": "NEBIUS_REGION_UNSPECIFIED",
"lambdaRegion": "LAMBDA_REGION_UNSPECIFIED",
"onpremRegion": "<string>"
},
"gpuCount": 123,
"gpuType": "GPU_TYPE_UNSPECIFIED",
"replicas": 123,
"endpoint": "<string>",
"apiKey": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.tensormesh.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication using an access token. Format: Bearer <access_token>
ListModelsByInfraRequest contains the information needed to list models in a infrastructure.
Infra specifies the infrastructure configuration for deploying and running models.
This message defines where a model deployment should run by specifying both the cloud provider and the specific region. It uses a oneof for region selection to ensure type-safe region specification based on the chosen provider.
See also: tensormesh/common/v1/cloud_provider.proto for provider and region enum definitions
Show child attributes
User ID for authorization. Must be a valid UUID.
A successful response.
ListModelsByInfraResponse contains the list of models in the infrastructure.
List of deployments in the cluster.
Show child attributes
Was this page helpful?